{{ if .Values.vitess.backup.cronjob.enabled }}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ .Values.vitess.name }}-backups-full
  namespace: {{ .Release.Namespace }}
spec:
  schedule: "0 0 * * *"
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          containers:
          - name: vtctl
            image: {{ .Values.vitess.backup.cronjob.image }}
            imagePullPolicy: IfNotPresent
            command:
            - /bin/sh
            - -c
            - "/vt/bin/vtctldclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' Backup $(/vt/bin/vtctldclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' GetTablets --tablet-type=replica | awk '{print $1}' | head -n 1)"
          restartPolicy: Never       
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ .Values.vitess.name }}-backups-incremental
  namespace: {{ .Release.Namespace }}
spec:
  schedule: "*/30 * * * *"
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          containers:
          - name: vtctl
            image: {{ .Values.vitess.backup.cronjob.image }}
            imagePullPolicy: IfNotPresent
            command:
            - /bin/sh
            - -c
            - "/vt/bin/vtctldclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' Backup --incremental-from-pos=auto $(/vt/bin/vtctldclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' GetTablets --tablet-type=replica | awk '{print $1}' | head -n 1)"
          restartPolicy: Never     
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ .Values.vitess.name }}-mautic-backups
  namespace: {{ .Release.Namespace }}
spec:
  schedule: {{ .Values.vitess.backup.cronjob.mautic.schedule }}
  jobTemplate:
    spec:
      backoffLimit: 1
      template:
        spec:
          containers:
          - name: vtctl
            image: {{ .Values.vitess.backup.cronjob.image }}
            imagePullPolicy: IfNotPresent
            command:
            - /bin/sh
            - -c
            - "/vt/bin/vtctldclient --server='{{ .Values.vitess.name }}-vtctld.{{ .Release.Namespace }}.svc.cluster.local:15999' BackupShard {{ .Values.vitess.backup.cronjob.mautic.shard }} --allow-primary=true"
          restartPolicy: Never
{{ end }}
